package com.ruoyi.baseinfo.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 计划明细对象 base_plandetail_info
 * 
 * @author CaesarBao
 * @date 2020-10-23
 */
public class BasePlandetailInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 计划ID */
    @Excel(name = "计划ID")
    private String planid;

    /** 物料ID */
    @Excel(name = "物料ID")
    private String materialId;

    /** 计划产量 */
    @Excel(name = "计划产量")
    private Long planAmount;

    /** 实际产量 */
    @Excel(name = "实际产量")
    private Long realAmount;

    /** 单位 */
    @Excel(name = "单位")
    private String unitId;

    /** 班组ID */
    @Excel(name = "班组ID")
    private String groupId;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setPlanid(String planid) 
    {
        this.planid = planid;
    }

    public String getPlanid() 
    {
        return planid;
    }

    public void setMaterialId(String materialId) 
    {
        this.materialId = materialId;
    }

    public String getMaterialId() 
    {
        return materialId;
    }
    public void setPlanAmount(Long planAmount) 
    {
        this.planAmount = planAmount;
    }

    public Long getPlanAmount() 
    {
        return planAmount;
    }
    public void setRealAmount(Long realAmount) 
    {
        this.realAmount = realAmount;
    }

    public Long getRealAmount() 
    {
        return realAmount;
    }
    public void setUnitId(String unitId) 
    {
        this.unitId = unitId;
    }

    public String getUnitId() 
    {
        return unitId;
    }
    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("planid", getPlanid())
            .append("materialId", getMaterialId())
            .append("planAmount", getPlanAmount())
            .append("realAmount", getRealAmount())
            .append("unitId", getUnitId())
            .append("groupId", getGroupId())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
